From: "Andreas Sturmlechner" <asturm@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] proj/kde:master commit in: net-firewall/plasma-firewall/
Date: Sat, 19 Sep 2020 20:03:46 +0000 (UTC) [thread overview]
Message-ID: <1600544993.1b9d99eadfed717b0d15dfea2b34d22bf99e93d5.asturm@gentoo> (raw)
commit: 1b9d99eadfed717b0d15dfea2b34d22bf99e93d5
Author: Andreas Sturmlechner <asturm <AT> gentoo <DOT> org>
AuthorDate: Thu Sep 17 19:34:09 2020 +0000
Commit: Andreas Sturmlechner <asturm <AT> gentoo <DOT> org>
CommitDate: Sat Sep 19 19:49:53 2020 +0000
URL: https://gitweb.gentoo.org/proj/kde.git/commit/?id=1b9d99ea
net-firewall/plasma-firewall: New package
See also: https://mail.kde.org/pipermail/plasma-devel/2020-September/118422.html
Package-Manager: Portage-3.0.7, Repoman-3.0.1
Signed-off-by: Andreas Sturmlechner <asturm <AT> gentoo.org>
net-firewall/plasma-firewall/metadata.xml | 8 ++++
.../plasma-firewall/plasma-firewall-9999.ebuild | 48 ++++++++++++++++++++++
2 files changed, 56 insertions(+)
diff --git a/net-firewall/plasma-firewall/metadata.xml b/net-firewall/plasma-firewall/metadata.xml
new file mode 100644
index 0000000000..2fdbf33d96
--- /dev/null
+++ b/net-firewall/plasma-firewall/metadata.xml
@@ -0,0 +1,8 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+ <maintainer type="project">
+ <email>kde@gentoo.org</email>
+ <name>Gentoo KDE Project</name>
+ </maintainer>
+</pkgmetadata>
diff --git a/net-firewall/plasma-firewall/plasma-firewall-9999.ebuild b/net-firewall/plasma-firewall/plasma-firewall-9999.ebuild
new file mode 100644
index 0000000000..a6b6c8c3b1
--- /dev/null
+++ b/net-firewall/plasma-firewall/plasma-firewall-9999.ebuild
@@ -0,0 +1,48 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python3_{7,8,9} )
+KFMIN=5.74.0
+QTMIN=5.14.2
+inherit ecm kde.org python-single-r1
+
+DESCRIPTION="Plasma frontend for Firewalld or UFW"
+HOMEPAGE="https://invent.kde.org/network/plasma-firewall"
+
+LICENSE="GPL-2+"
+SLOT="5"
+KEYWORDS=""
+IUSE=""
+
+REQUIRED_USE="${PYTHON_REQUIRED_USE}"
+
+DEPEND="
+ >=dev-qt/qtdbus-${QTMIN}:5
+ >=dev-qt/qtdeclarative-${QTMIN}:5
+ >=dev-qt/qtgui-${QTMIN}:5
+ >=dev-qt/qtnetwork-${QTMIN}:5
+ >=dev-qt/qtx11extras-${QTMIN}:5
+ >=dev-qt/qtxml-${QTMIN}:5
+ >=kde-frameworks/kauth-${KFMIN}:5
+ >=kde-frameworks/kcmutils-${KFMIN}:5
+ >=kde-frameworks/kconfig-${KFMIN}:5
+ >=kde-frameworks/kcoreaddons-${KFMIN}:5
+ >=kde-frameworks/kdeclarative-${KFMIN}:5
+ >=kde-frameworks/ki18n-${KFMIN}:5
+ >=kde-frameworks/plasma-${KFMIN}:5
+"
+RDEPEND="${DEPEND}
+ || (
+ net-firewall/firewalld
+ net-firewall/ufw
+ )
+"
+
+src_prepare() {
+ ecm_src_prepare
+ # this kind of cmake magic doesn't work for us at all.
+ sed -e "1 s:^.*$:\#\!/usr/bin/env python3.8:" \
+ -i kcm/backends/ufw/helper/kcm_ufw_helper.py.cmake || die
+}
next reply other threads:[~2020-09-19 20:03 UTC|newest]
Thread overview: 2+ messages / expand[flat|nested] mbox.gz Atom feed top
2020-09-19 20:03 Andreas Sturmlechner [this message]
-- strict thread matches above, loose matches on Subject: below --
2020-10-04 18:19 [gentoo-commits] proj/kde:master commit in: net-firewall/plasma-firewall/ Andreas Sturmlechner
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1600544993.1b9d99eadfed717b0d15dfea2b34d22bf99e93d5.asturm@gentoo \
--to=asturm@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox